# Content query

An action block that queries content provided by another app, such as contacts or calendar events.

The fiber will pause until the content has been retrieved.

Binary (BLOB) columns are not supported and will be exclude from the result.

### Result types

- Rows as arrays — an array of rows where each row element is an array with column values.
- Rows as dictionaries — an array of rows where each row element is a dictionary with column names as keys and the value thereof.
- Concatenated rows — a single “flat” array with all column values of all rows concatenated.

## Input arguments

- Content URI — URI of content to query.
- Columns — a comma separated list or array of columns to include in the result, default is all.
- Where clause — an SQL `WHERE` clause for matching a sub-selection of the content identified by Content URI, default is all content.
- Parameters — an array of values to replace any `?` within the Where clause.
- Order by — the sort order of the result, default is no order.
- Offset — the offset of the first row to include in the result, default 0.
- Limit — the maximum number of rows in the result, default is 500 (the maximum limit).
- Result type — type of result assigned to Result see result types, default is Rows as arrays.

## Output variables

- Result — variable to assign an array with the query result, structured as Result type.